 /****************************************************************/
 /*    NAME: DDE1                                                */
 /*   TITLE: USING DDE TO SEND DATA TO EXCEL                     */
 /*    DESC: DEMONSTRATES HOW USE DDE TO SEND DATA FROM SAS TO   */
 /*          EXCEL.  TO EXECUTE THIS PROGRAM YOU MUST FIRST      */
 /*          INVOKE MICROSOFT EXCEL AND OPEN UP A NEW WORKSHEET  */
 /*          CALLED "SHEET1".                                    */
 /****************************************************************/

/* THE DDE LINK IS ESTABLISHED USING MICROSOFT EXCEL SHEET1,
   ROWS 1 THROUGH 100 AND COLUMNS 1 THROUGH 3.                   */

FILENAME RANDOM DDE 'EXCEL |SHEET1 ! R1C1:R100C3';

DATA RANDOM;
  FILE RANDOM;
  DO I=1 TO 100;
       X=RANUNI(I);
       Y=10+X;
       Z=X-10;
       PUT X Y Z;
   END;
RUN;
